Luci-app-openvpn don't install properly - segmentation fault

Hello,
I have tried several times to install the luci-app-openvpn package, but it looks like it doesn’t install properly. It downloads, but the installation always ends with “segmentation fault”, and I can not find it in the “Installed packages” list. I have the “OpenVPN” menu item in the “Services” dropdown menu and I can go into the OpenVPN configuration page, add a new client and configure the client, but it will not start.

I have also tried to remove all packages related to VPN, and then install only the Luci-app-openvpn package, but that generated the same problem.

Thank you for any help!

Random package installation ends with Segmentation Fault.

I tried removing and adding ucollect to fix it’s problems and seen the same behavior. I kept watching the process list on the router and later it worked, so I’m not sure what’s the problem.

Turris is very good hardware-wise, but very short on good and quality software.

Hi kixorz,

That’s interesting. However, my luci-.app don’t seem to work properly (it won’t start), and it doesn’t show as an installed package in the software list.

Turris is very good hardware-wise, but very short on good and quality software.

Agreed :slight_smile: